#pragma once

namespace RoboidControl {

/// @brief Root structure for all communcation messages
class IMessage {
 public:
  IMessage();
  /// @brief Serialize the message into a byte array for sending
  /// @param buffer The buffer to serilize into
  /// @return The length of the message in the buffer
  virtual unsigned char Serialize(char* buffer);

};

}  // namespace RoboidControl
