#include "NetworkIdMsg.h"

#include <iostream>

namespace RoboidControl {

NetworkIdMsg::NetworkIdMsg(const char* buffer) {
  this->networkId = buffer[1];
}

NetworkIdMsg::NetworkIdMsg(unsigned char networkId) {
  this->networkId = networkId;
}

NetworkIdMsg::~NetworkIdMsg() {}

unsigned char NetworkIdMsg::Serialize(char* buffer) {
#if defined(DEBUG)
  std::cout << "Send NetworkIdMsg [" << (int)this->networkId << "] " << std::endl;
#endif
  unsigned char ix = 0;
  buffer[ix++] = this->id;
  buffer[ix++] = this->networkId;
  return NetworkIdMsg::length;
}

}  // namespace RoboidControl
